/*! 
	\file main.c
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 15/12/22
	\brief Exécutable principal du programme

	Application de gestion des candidature dans les IUT de France
*/

#include <stdio.h>

void menuCandidat() {
	
	printf("\n\n\t\t\t\t---------------------------------------------------------------------------\n");
	printf("\t\t\t\t 1 - Consulter les ville possédant un IUT \n\n");
	printf("\t\t\t\t 2 - Voir les départements dans un IUT et le nombre de places disponibles\n\n");
	printf("\t\t\t\t 3 - Rechercher un département\n\n");
	printf("\t\t\t\t 4  - Candidater\n\n");
	printf("\t\t\t\t 5 - Suivre sa candidature\n\n");
	printf("\t\t\t\t 9 - Quitter\n");
	printf("\t\t\t\t---------------------------------------------------------------------------\n");

}

void menuAdmin() {

}

void menuResponsable() {
	printf("\n\n\t\t\t\t---------------------------------------------------------------------------\n");
	printf("\t\t\t\t 1 - Modifier le nombre de place d'une formation \n\n");
	printf("\t\t\t\t 2 - Créer un nouveau département\n\n");
	printf("\t\t\t\t 3 - Supprimer un département\n\n");
	printf("\t\t\t\t 4 - Administrateur\n\n");
	printf("\t\t\t\t 5 - Candidater\n\n");
	printf("\t\t\t\t 6 - Suivre sa candidature\n\n");
	printf("\t\t\t\t 9 - Quitter\n");
	printf("\t\t\t\t---------------------------------------------------------------------------\n");
}

void menuPrincipal(/* TODO: prise en compte des status actuels du recrutement */) {
    int choix; // Contient le choix de l'utilisateur dans le menu

	printf("\t\t\t\t------------------------------------------------\n");
	printf("Je suis: \n\n");

	printf("\t\t\t\t------------------------------------------------\n");
    printf("\t\t\t\t		1 - Candidat				\n\n");
    printf("\t\t\t\t		2 - Administrateur				\n");
    printf("\t\t\t\t------------------------------------------------\n");

	if(scanf("%d", &choix) == 0)
		choix=0;

	printf("\t\t\t\t-------------------------------------------------------\n");
	
	while(choix != 9){
		switch (choix) {
			case 1:
				printf("Ouverture du menu candidat...\n");
                menuCandidat();
                break;
			case 2:
                printf("Ouverture du menu administrateur...\n");
				menuAdmin();
				break;
			case 3:
				printf("Ouverture du menu responsable...\n");
				menuResponsable();
				break;
			default:
				fprintf(stderr, "\e[0;91mErreur : la valeur entrée est invalide, merci de réessayer.\n\e[0m");
				break;
		}


		
		printf("Connexion :\n");
		printf("\t\t\t\t------------------------------------------------\n");
		printf("\t\t\t\t		1 - Candidat				\n\n");
		printf("\t\t\t\t		2 - Administrateur\n\n");
		printf("\t\t\t\t		9 - Quitter\n");
		printf("\t\t\t\t------------------------------------------------\n");
		scanf("%*c%d", &choix);
		printf("-------------------------------------------------------\n");
	}

    printf("\nFermeture de l'application...\n");
}

int main(void) {
    printf("\t\t\t\t#################################################\n");
    printf("\t\t\t\t####                                         ####\n");
    printf("\t\t\t\t###              Recrutement IUT              ###\n");
    printf("\t\t\t\t####                                         ####\n");
    printf("\t\t\t\t#################################################\n");

    menuPrincipal();
    return 0;
}